ScXMLFinalElt(3)

NAME
ScXMLFinalElt - implements the <final> SCXML element.

SYNOPSIS

#include <Inventor/scxml/ScXMLFinalElt.h>

Inherits ScXMLAbstractStateElt.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and downward"casting.
virtual void setOnEntry (ScXMLOnEntryElt *onentry)
virtual ScXMLOnEntryElt * getOnEntry (void) const
virtual void setOnExit (ScXMLOnExitElt *onexit)
virtual ScXMLOnExitElt * getOnExit (void) const
virtual void copyContents (const ScXMLElt *rhs)
virtual const ScXMLElt * search (const char *attrname, const char *attrvalue) const
Public Member Functions inherited from ScXMLAbstractStateElt
virtual void setIdAttribute (const char *id)
const char * getIdAttribute (void) const
virtual SbBool handleXMLAttributes (void)
Public Member Functions inherited from ScXMLElt
void setXMLAttribute (const char *attribute, const char *value)
const char * getXMLAttribute (const char *attribute) const
ScXMLElt * clone (void) const
virtual void setContainer (ScXMLElt *container)
ScXMLElt * getContainer (void) const
SbBool isContainedIn (const ScXMLElt *object) const
Public Member Functions inherited from ScXMLObject
SbBool isOfType (SoType type) const
Returns TRUE if the type of this object is either of the same type or inherited from type.

  Static Public Member Functions
static ScXMLEltReader * getElementReader (void)
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)
Static Public Member Functions inherited from ScXMLAbstractStateElt
static SoType getClassTypeId (void)
static void initClass (void)
static void cleanClass (void)
Static Public Member Functions inherited from ScXMLElt
static SoType getClassTypeId (void)
static void initClass (void)
static void cleanClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType getClassTypeId (void)
This static method returns the SoType object associated with objects of this class.
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void cleanClass (void)
Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

  Additional Inherited Members
Static Protected Member Functions inherited from ScXMLElt
static void registerClassType (const char *xmlns, const char *classname, SoType type)
static void registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)
Static Protected Member Functions inherited from ScXMLObject
static void registerClassType (const char *xmlns, const char *classname, SoType type)
static void registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)
Protected Attributes inherited from ScXMLAbstractStateElt
char * id

Detailed Description

implements the <final> SCXML element. A <final> element takes an "id" attribute (required), and can have one child of type <onentry> and <onexit>.

Since
    Coin 3.0

Member Function Documentation

  SoType ScXMLFinalElt::getTypeId (void ) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
    SoBase::getTypeId() const

Implements ScXMLAbstractStateElt.

  void ScXMLFinalElt::copyContents (const ScXMLElt * rhs) [virtual]

Reimplemented from ScXMLAbstractStateElt.

  const ScXMLElt * ScXMLFinalElt::search (const char * attrname, const char * attrvalue) const [virtual]
This method searches the SCXML structure for an element with the given attribute value for the given attribute.

Returns NULL if nothing was found.

This function needs to be reimplemented to traverse child elements.

Reimplemented from ScXMLAbstractStateElt.

Author

Generated automatically by Doxygen for Coin from the source code.